package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_SENSITIVE_CATEGORY_LOG"
)
public class SensitiveCategoryLog extends TBaseEntity {
   private String operationUser;
   private String module;
   private Date operationtime;
   private String scope_category;
   private String scope_level;
   private String tablename;
   private String columnname;
   private String schemaname;
   private String datasystemid;
   private String projectid;

   public String getOperationUser() {
      return this.operationUser;
   }

   public void setOperationUser(String operationUser) {
      this.operationUser = operationUser;
   }

   public String getModule() {
      return this.module;
   }

   public void setModule(String module) {
      this.module = module;
   }

   public Date getOperationtime() {
      return this.operationtime;
   }

   public void setOperationtime(Date operationtime) {
      this.operationtime = operationtime;
   }

   public String getScope_category() {
      return this.scope_category;
   }

   public void setScope_category(String scope_category) {
      this.scope_category = scope_category;
   }

   public String getScope_level() {
      return this.scope_level;
   }

   public void setScope_level(String scope_level) {
      this.scope_level = scope_level;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getSchemaname() {
      return this.schemaname;
   }

   public void setSchemaname(String schemaname) {
      this.schemaname = schemaname;
   }

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }
}
